Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.metadata
Class TypeMappingMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.ejb.plugins.jaws.metadata.TypeMappingMetaData

All Implemented Interfaces:
  XmlLoadable

public class TypeMappingMetaData
extends MetaData
implements XmlLoadable

Version:
  $Revision: 1.2.6.1 $
Author:
  Sebastien Alborini
See Also:

Field Summary
`static java.lang.String[]` | `PRIMITIVE_CLASSES`
`static java.lang.String[]` | `PRIMITIVES`

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`TypeMappingMetaData()`

Method Summary
`int` | `getJdbcTypeForJavaType(java.lang.Class type)`
`java.lang.String` | `getName()`
`java.lang.String` | `getSqlTypeForJavaType(java.lang.Class type)`
`void` | `importXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIMITIVES

    public static final java.lang.String[] PRIMITIVES

### PRIMITIVE_CLASSES

    public static final java.lang.String[] PRIMITIVE_CLASSES

Constructor Detail

### TypeMappingMetaData

    public TypeMappingMetaData()

Method Detail

### getName

    public java.lang.String getName()

### getSqlTypeForJavaType

    public java.lang.String getSqlTypeForJavaType(java.lang.Class type)

### getJdbcTypeForJavaType

    public int getJdbcTypeForJavaType(java.lang.Class type)

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Specified by:
    `importXml` in interface `XmlLoadable`
  Overrides:
    `importXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.